Module Module1

    Sub Main()
        Console.WriteLine("Nciśnij Enter - powolny sposób inkrementacji łańcucha znaków.")
        Console.ReadLine()
        Dim BigString As String = ""
        For i As Integer = 1 To 10000
            ' Enlarge BigString.
            BigString &= " To początek " + i.ToString()
        Next

        Console.WriteLine("Gotowe.")
        Console.WriteLine()

        Console.WriteLine("Naciśnij Enter jeszcze raz. To samo szybciej.")
        Console.ReadLine()

        Dim BigStringBuilder As New System.Text.StringBuilder()
        For i As Integer = 1 To 10000
            ' Enlarge BigStringBuilder.
            BigStringBuilder.Append(" To początek ")
            BigStringBuilder.Append(i.ToString())
        Next
        BigString = BigStringBuilder.ToString()
        Console.WriteLine("Gotowe.")
        Console.WriteLine("Dowolny klawisz - koniec.")

        Console.ReadLine()
    End Sub

    
End Module
